package org.jeecg.modules.deliver.cmos.job.task;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.digital.task.fpsc.FpscTaskService;
import org.jeecg.modules.deliver.cmos.job.CmosConstants;
import org.jeecg.modules.deliver.cmos.job.CmosTask;
import org.springframework.stereotype.Component;

@Slf4j
@RequiredArgsConstructor
@Component
public class CmosFpscTask implements CmosTask {

    final FpscTaskService taskService;

    @Override
    public String getType() {
        return CmosConstants.FP_SC;
    }

    @Override
    public void execute() throws Exception {
        taskService.execute();
    }
}
